Bug 39498 - grid checkbox is black on IE11 + win8.1
grid checkbox is black on IE11 + win8.1
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1-0-errata
Assigned To: Florian Best
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 11:12 CEST by Florian Best
Modified: 2015-12-22 16:05 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Browser compatibility, Design, External feedback, Usability
Max CVSS v3 score:


Attachments
Screenshot (95.30 KB, image/png)
2015-10-08 11:12 CEST, Florian Best
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-10-08 11:12:21 CEST
Created attachment 7204 [details]
Screenshot

The checkbox to select every entry in a grid is black while the background is grey and is therefore not well visible.
This occurred on Win8.1 with IE11.

See red circle in the attached screenshot.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-10-08 12:27:28 CEST
Seen by UCS@school customer: 2015090421000392
Comment 2 Florian Best univentionstaff 2015-11-10 14:14:06 CET
Also seen during UCS 4.1 product tests.
Comment 3 Stefan Gohmann univentionstaff 2015-11-17 13:36:04 CET
Please backport to 4.0-4 errata after fixing.
Comment 4 Florian Best univentionstaff 2015-11-18 11:22:40 CET
2015-11-18-univention-management-console-frontend-theme.yaml:
r65688 | YAML Bug #39498

univention-management-console-frontend-theme (1.0.4-1):
r65687 | Bug #39498: fix grid header checkbox rule for Internet Explorer
Comment 5 Florian Best univentionstaff 2015-11-18 11:23:19 CET
The problem were missing CSS rules for IE to replace SVG with PNG.
Comment 6 Alexander Kläser univentionstaff 2015-12-17 14:10:13 CET
Changes: OK
YAML file: OK, adjusted description and changed file name [r66431]

→ VERIFIED
Comment 7 Arvid Requate univentionstaff 2015-12-22 15:23:08 CET
Advisory needed fixing during announcement process:

E: advisory "univention-management-console-frontend-theme.yaml" has issues:
[ OK ] product.given: ucs
[ OK ] release.given: (4, 1)
[ OK ] version.given: [0]
[ OK ] scope.given: ucs_4.1-0-errata4.1-0
[ OK ] release+scope.consistent: 4.1 | ucs_4.1-0-errata4.1-0
[ OK ] src.given: univention-management-console-frontend-theme
[ OK ] fix.given: 1.0.4-1.111.201511181120
[ OK ] desc.given: This updated corrects a display problems in the grid header when using Internet Explorer.
[FAIL] desc.line.0: line length: 'This updated corrects a display problems in the grid header when using Intern'|'et Explorer.'
Comment 8 Florian Best univentionstaff 2015-12-22 15:47:06 CET
There are also 2 typos in the description:
"This updated corrects a display problems in the grid header when using Internet Explorer."
            ^                           ^


.blame alexk svn r66431
Comment 9 Arvid Requate univentionstaff 2015-12-22 16:05:04 CET
<http://errata.software-univention.de/ucs/4.1/44.html>